<?php

class generalModel extends mainModel {
    public function __construct() {
        $registry = Registry::getInstance();
        $registry->user = new User();
        $registry->role = new Role();
        $registry->permission = new Permission();
        $registry->role_permission = new RolePermissionFactory();
        $registry->general_class = new GeneralClass();
        $registry->customer = new Customer();
        $registry->route = new Route;
        
        
       
    }
    public static function getmsg($msg) {
        return CommonLanguage::getMessage($msg);
    }
}
